Bug 133841 - FILESAVE DOCX: Format of Bookmark auto-numbering changes
Summary: FILESAVE DOCX: Format of Bookmark auto-numbering changes
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOCX Bookmarks
  Show dependency treegraph
 
Reported: 2020-06-09 21:55 UTC by jgrusendorf
Modified: 2022-07-21 03:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot showing bookmark auto-numbering switching formats (8.20 KB, image/png)
2020-06-09 21:55 UTC, jgrusendorf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jgrusendorf 2020-06-09 21:55:21 UTC
Created attachment 161822 [details]
Screenshot showing bookmark auto-numbering switching formats

Bookmark auto-naming and numbering sometimes switches between using a space or an underscore between "Bookmark" and the number. I have inserted a bookmark and accepted the auto-naming "Bookmark_1" and then the next one I insert is auto-named "Bookmark 1", and numbering then continues with the changed format as shown in the attached screenshot… until at some point, it decides to switch again.

It may only happen after some other bookmarks have been created and deleted; I'm not sure.
Comment 1 Dieter 2020-06-12 07:14:09 UTC
I can't confirm it with

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 41d8b41767032681a9897b7551f011d450e3725e
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: threaded

I've inserted 7 bookmarks (Bookmark 1, Bookmark 2, ...)
Comment 2 Maurice Rojas 2020-06-24 18:28:25 UTC
I am new to this but I can confirm something similar. Not sure if I should submit a bug report.
I was running an earlier version in March, not sure which version it was. I updated to 6.4.2.2 sometime in mid April and then when I save a document all my bookmarks change from having a space to having an underscore so now all my links are dead and I have hundreds on a specific document.
i.e.- before 6.4.2.2 a bookmark is "Long Black Train" (without quotes), if I take this document made in an older version and open it I can see that the bookmark is "Long Black Train" but as soon as I save that document or "save as" and change the name the links stop working and looking at the bookmark itself it is now labeled as "Long_Black_Train". So in order to get the links to work I have to edit the link to target "Long_Black_Train" for it to work. I have hundreds of bookmarks and links.
I have copies of older document and I can reproduce this issue every time.
Comment 3 Maurice Rojas 2020-06-24 18:30:57 UTC
(In reply to Maurice Rojas from comment #2)
> I am new to this but I can confirm something similar. Not sure if I should
> submit a bug report.
> I was running an earlier version in March, not sure which version it was. I
> updated to 6.4.2.2 sometime in mid April and then when I save a document all
> my bookmarks change from having a space to having an underscore so now all
> my links are dead and I have hundreds on a specific document.
> i.e.- before 6.4.2.2 a bookmark is "Long Black Train" (without quotes), if I
> take this document made in an older version and open it I can see that the
> bookmark is "Long Black Train" but as soon as I save that document or "save
> as" and change the name the links stop working and looking at the bookmark
> itself it is now labeled as "Long_Black_Train". So in order to get the links
> to work I have to edit the link to target "Long_Black_Train" for it to work.
> I have hundreds of bookmarks and links.
> I have copies of older document and I can reproduce this issue every time.

Also, I just updated to 6.4.4.2 and the same things happens.
Comment 4 Maurice Rojas 2020-06-25 01:32:10 UTC
OK I did some more testing and found some additional information.
First my document is .doc originally. I decided to update to the 7.0.0 Beta available on the website. When I did it installed but didn't update the current application. Since it ran as a first time app when I went to save the document again, while testing, the app prompted me to see if I wanted to change the extension to .odt instead of .doc,,,, I selected no.
With that in mind I thought what if I change the extension to .docx ,,,
So using 7.0.0 Beta when I go through the same process as before. Save the older document and then close and reopen as a fresh open it actually works,,,, BUT it only works because 7.0.0 Beta changes the bookmarks to use an underscore between characters in the bookmarks but it also updates the links to look for the new bookmark with the underscore in it instead of spaces.
Now this works but it's a pain because now I have to always create bookmarks with underscores on them instead of spaces. If I DO NOT then the system will work until I save and close the document and then when I reopen it the same issue will exist. I think.  But now that I think about it the system should actually update the bookmark and links to all have underscores as it did with the previous bookmarks that didnt have underscores.
I can test this if anyone needs.
The best solution for me is to not have the system add underscores to bookmark names at all and just save them as I typed them in with a space in between words.
Hope all that makes sense.
Maurice
Comment 5 Dieter 2020-06-27 03:40:10 UTC
Maurice, as far as I understand, your problem also appearas with an new odt-file. I can't confirm that with

Version: 7.0.0.0.beta2 (x64)
Build ID: 1c213561a365b5666167321de68c9977500c9612
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

LO doesn't add underscores by default or after saving and reopening.
Comment 6 Maurice Rojas 2020-06-27 14:41:17 UTC
Ok,, am not sure I understand your statement,,??? (am new to this)

How do you understand that it may happen with an .odt file if you cannot confirm it?
Did someone tell you that it is happening the same way with an .odt file???
Or are you asking me if I can confirm it? :-)

If so, I don't think I will be able to because I don't have an .odt file created in an earlier version that has actual spaces in bookmarks that I can use as a test document.

I can, however, test to see if it creates the same underscore scenario between 6.4.4.2 and 7.0.0.0 Beta if you'd like.

Unless I can get an earlier version of Libre Office, before these changes started, and begin testing from there, am not sure what I can do.

Thanks much

Maurice
Comment 7 Dieter 2020-06-28 09:31:27 UTC
(In reply to Maurice Rojas from comment #6)
> Ok,, am not sure I understand your statement,,??? (am new to this)
> 
> How do you understand that it may happen with an .odt file if you cannot
> confirm it?

I've understood from your comment, that your problem also happens with a new created odt-file. I couldn't reproduce it with an new odt-file.

> Did someone tell you that it is happening the same way with an .odt file???
> Or are you asking me if I can confirm it? :-)
> 
> If so, I don't think I will be able to because I don't have an .odt file
> created in an earlier version that has actual spaces in bookmarks that I can
> use as a test document.

Please provide a clearer set of step-by-step instructions on how to reproduce the problem. Plese describe the single steps in this way:
1. ...
2. ...
...
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the steps are provided.
Comment 8 Maurice Rojas 2020-06-28 19:27:07 UTC
Ok,,, no I have not tested with a brand new .odt file.
I do not use that file extension because I have to share my file with other users and therefore I have been using .doc and now .docx
I will outline the steps in my next post. Thank you.
Comment 9 jgrusendorf 2020-07-07 21:15:10 UTC
- Opened a .docx document.
- The document did not have any bookmarks initially.
- Added two bookmarks, accepted auto-generated names, "Bookmark 1" and "Bookmark 2"
- Saved document.
- Closed LibreOffice Writer.
- Restarted LibreOffice Writer.
- Reopened .docx document.
- Bookmarks are now named "Bookmark_1" and "Bookmark_2"

LibreOffice v6.4.4.2
Comment 10 jgrusendorf 2020-07-07 21:55:00 UTC
Continued from my previous message:

- Added a new bookmark and accepted the auto-generated name: "Bookmark 1"
- Saved .docx document.
- Closed Writer
- Restarted Writer and loaded .docx document.
- Now contains bookmarks named "Bookmark_1", "Bookmark_2", and "Bookmark_11"
Comment 11 QA Administrators 2020-07-08 03:43:24 UTC Comment hidden (obsolete)
Comment 12 Dieter 2020-07-20 11:30:58 UTC
(In reply to jgrusendorf from comment #9)
> - Opened a .docx document.
> - The document did not have any bookmarks initially.
> - Added two bookmarks, accepted auto-generated names, "Bookmark 1" and
> "Bookmark 2"
> - Saved document.
> - Closed LibreOffice Writer.
> - Restarted LibreOffice Writer.
> - Reopened .docx document.
> - Bookmarks are now named "Bookmark_1" and "Bookmark_2"
> 
> LibreOffice v6.4.4.2

I confirm it with

Version: 7.0.0.0.beta2 (x64)
Build ID: 1c213561a365b5666167321de68c9977500c9612
CPU threads: 4; OS: Windows 10.0 Build 19041; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

Word 2016 gives the same result, therefor it seems tobe a problem in save as docx-file.
Comment 13 QA Administrators 2022-07-21 03:33:48 UTC
Dear jgrusendorf,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug